HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetInvoicesInvoiceLines

Contains the different functions to run the operation getInvoicesInvoiceLines

  • 3 types
  • 3 values
  • Packagestripeapi-3.0.0.0
  • Exports6
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetInvoicesInvoiceLines.hs
valuegetInvoicesInvoiceLines
  1. :: MonadHTTP m
  2. => GetInvoicesInvoiceLinesParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetInvoicesInvoiceLinesResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/invoices/{invoice}/lines

<p>When retrieving an invoice, you’ll get a <strong>lines</strong> property containing the total count of line items and the first handful of those items. There is also a URL where you can retrieve the full (paginated) list of line items.</p>

Defines the object schema located at paths./v1/invoices/{invoice}/lines.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getInvoicesInvoiceLines.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetInvoicesInvoiceLinesResponseError is used.

Constructors

Instances2Eq, Show

Defines the object schema located at paths./v1/invoices/{invoice}/lines.GET.responses.200.content.application/json.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON